local game

love.load = function()
	love.mouse.setVisible(false)

	local LoveSweeper = require 'lovesweeper'
	game = LoveSweeper {
		ui = {
			cellw = 16,
			cellh = 16,
			fontsize = 16,
			menux = 0,
			menuy = 0,
			menuw = 320,
			menuh = 240,
			screenw = 320,
			screenh = 240,
		},

		keydelay = 0.2,
		colors = require 'colors',
		controls = require 'controls',

		gamekwargs = {
			width = 20,
			height = 14,
			nmines = 64,
		},
	}
end


love.draw = function()
	love.graphics.setBackgroundColor {96, 96, 96}
	game:draw()
end

love.mousereleased = function(x, y, button)
	game:clicked(x, y, button)
end

love.keyreleased = function(key)
	game:control(key)
end

love.keypressed = function(key)
	game:press(key)
end

love.update = function(dt)
	game:update(dt)
end
